package com.ruoyi.web.controller.api;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.utils.uuid.UUID;
import com.ruoyi.system.service.IBladeRegionService;

public class PrivateApiController extends BaseController {

//	ba51b8d620754f088445f34ce7476639
//	a9078c97b0704ad1b5a59fd8346c3673
	
	public static String APPID="ba51b8d620754f088445f34ce7476639";
	public static String SECRET="a9078c97b0704ad1b5a59fd8346c3673";
	
	
	

	protected void checkAuth(HttpServletRequest req) {

		String appid = req.getParameter("appid");
		String secret = req.getParameter("secret");
		
		if(!APPID.equals(appid) || !SECRET.equals(secret)) {
			throw new RuntimeException("权限验证不通过");
		}

	}

}
